apiVersion: networking.k8s.io/v1beta1
kind: Ingress
metadata:
  name: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
  namespace: __CI_ENVIRONMENT_SLUG__
  annotations:
    # letsencrypt support enabled (github.com/jetstack/kube-lego)
    kubernetes.io/tls-acme: "true"
    # use the Kubernetes ingress "nginx"
    kubernetes.io/ingress.class: "nginx"
spec:
 tls:
   - hosts:
     - __CI_ENVIRONMENT_SLUG__.lendingkart.com
     - __K8S_I_ROUTE__
     - __S_S_ROUTE__
     secretName: tls-certificate
 rules:
  - host: __CI_ENVIRONMENT_SLUG__.lendingkart.com
    http:
      paths:
      - path: /__URL_PATTERN__/actuator/
        backend:
          serviceName: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
          servicePort: __MANAGEMENT_PORT__
      - path: /__URL_PATTERN__/
        backend:
          serviceName: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
          servicePort: 80
  - host: __K8S_I_ROUTE__
    http:
      paths:
      - path: /__URL_PATTERN__/actuator/
        backend:
          serviceName: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
          servicePort: __MANAGEMENT_PORT__
      - path: /__URL_PATTERN__/
        backend:
          serviceName: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
          servicePort: 80
  - host: __S_S_ROUTE__
    http:
      paths:
      - path: /__URL_PATTERN__/actuator/
        backend:
          serviceName: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
          servicePort: __MANAGEMENT_PORT__
      - path: /__URL_PATTERN__/
        backend:
          serviceName: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
          servicePort: 80
